<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminStornierenDialog;

abstract class TerminStornierenDialogPresenter extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminDialog\TerminDialogPresenter
{
  protected function getNewViewModel(): \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminDialog\TerminDialogViewModel
  {
    return new TerminStornierenDialogViewModel();
  }

  protected function getViewModel()
  {
    $viewModel = parent::getViewModel();
    $viewModel->limitVerschiebungenErreicht = $this->useCaseResponse->limitVerschiebungenErreicht;
    $viewModel->datumNeuerKurstag = $this->useCaseResponse->datumNeuerKurstag;
    $viewModel->fristErreicht = $this->useCaseResponse->fristErreicht;
    $viewModel->isKurstagStornierbar = $this->useCaseResponse->isKurstagStornierbar;

    return $viewModel;
  }
}